org.jfree.chart.labels

## Class IntervalCategoryItemLabelGenerator

- java.lang.Object
- - org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
  - - org.jfree.chart.labels.StandardCategoryItemLabelGenerator
    - - org.jfree.chart.labels.IntervalCategoryItemLabelGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CategoryItemLabelGenerator, org.jfree.util.PublicCloneable

    public class IntervalCategoryItemLabelGenerator
    extends StandardCategoryItemLabelGenerator
    implements CategoryItemLabelGenerator, org.jfree.util.PublicCloneable, java.lang.Cloneable, java.io.Serializable

A label generator for plots that use data from an `IntervalCategoryDataset`.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_LABEL_FORMAT_STRING` The default format string.

### Constructor Summary

Constructors
Constructor and Description
`IntervalCategoryItemLabelGenerator()` Creates a new generator with a default number formatter.
`IntervalCategoryItemLabelGenerator(java.lang.String labelFormat, java.text.DateFormat formatter)` Creates a new generator with the specified date formatter.
`IntervalCategoryItemLabelGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter)` Creates a new generator with the specified number formatter.

### Method Summary

Methods
`protected java.lang.Object[]` `createItemArray(CategoryDataset dataset, int row, int column)` Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

### Methods inherited from class org.jfree.chart.labels.StandardCategoryItemLabelGenerator

`equals, generateLabel`

### Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator

`clone, generateColumnLabel, generateLabelString, generateRowLabel, getDateFormat, getLabelFormat, getNumberFormat, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.labels.CategoryItemLabelGenerator

`generateColumnLabel, generateLabel, generateRowLabel`

### Methods inherited from interface org.jfree.util.PublicCloneable

`clone`

### Field Detail

#### DEFAULT_LABEL_FORMAT_STRING

    public static final java.lang.String DEFAULT_LABEL_FORMAT_STRING

The default format string.

See Also:
  Constant Field Values

### Constructor Detail

#### IntervalCategoryItemLabelGenerator

    public IntervalCategoryItemLabelGenerator()

Creates a new generator with a default number formatter.

#### IntervalCategoryItemLabelGenerator

    public IntervalCategoryItemLabelGenerator(java.lang.String labelFormat,
                                      java.text.NumberFormat formatter)

Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).

#### IntervalCategoryItemLabelGenerator

    public IntervalCategoryItemLabelGenerator(java.lang.String labelFormat,
                                      java.text.DateFormat formatter)

Creates a new generator with the specified date formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the date formatter (`null` not permitted).

### Method Detail

#### createItemArray

    protected java.lang.Object[] createItemArray(CategoryDataset dataset,
                                     int row,
                                     int column)

Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

Overrides:
  `createItemArray` in class `AbstractCategoryItemLabelGenerator`
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The items (never `null`).